# macOS

```{eval-rst}
.. autoclass:: serialx.platforms.serial_darwin.DarwinSerial
   :members:
   :member-order: bysource
```

```{eval-rst}
.. autoclass:: serialx.platforms.serial_darwin.DarwinSerialTransport
   :members:
   :member-order: bysource
```

```{eval-rst}
.. autofunction:: serialx.platforms.serial_darwin.darwin_list_serial_ports
```
